org.eclipse.oomph.p2.core

## Interface Agent

- All Superinterfaces:
    AgentManagerElement, ProfileContainer

      public interface Agent
      extends AgentManagerElement, ProfileContainer

  Author:
    Eike Stepper

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BundlePool` | `addBundlePool(File location)`
    `Set<String>` | `getAllProfileIDs()`
    `Collection<Profile>` | `getAllProfiles()`
    `IArtifactRepositoryManager` | `getArtifactRepositoryManager()`
    `BundlePool` | `getBundlePool(File location)`
    `Set<File>` | `getBundlePoolLocations()`
    `Collection<BundlePool>` | `getBundlePools()`
    `Profile` | `getCurrentProfile()`
    `IEngine` | `getEngine()`
    `IMetadataRepositoryManager` | `getMetadataRepositoryManager()`
    `IPlanner` | `getPlanner()`
    `IProfileRegistry` | `getProfileRegistry()`
    `IProvisioningAgent` | `getProvisioningAgent()`
    `boolean` | `refreshBundlePools()`
    `boolean` | `refreshProfiles()`

    - ### Methods inherited from interface org.eclipse.oomph.p2.core.AgentManagerElement

      `delete, delete, getAgentManager, getLocation, isCurrent, isUsed, isValid`

    - ### Methods inherited from interface org.eclipse.oomph.p2.core.ProfileContainer

      `addProfile, getProfile, getProfileIDs, getProfiles`

- - ### Method Detail

    - #### getBundlePoolLocations

          Set<File> getBundlePoolLocations()

    - #### getBundlePools

          Collection<BundlePool> getBundlePools()

    - #### getBundlePool

          BundlePool getBundlePool(File location)

    - #### addBundlePool

          BundlePool addBundlePool(File location)

    - #### refreshBundlePools

          boolean refreshBundlePools()

    - #### getAllProfileIDs

          Set<String> getAllProfileIDs()

    - #### getAllProfiles

          Collection<Profile> getAllProfiles()

    - #### getCurrentProfile

          Profile getCurrentProfile()

    - #### refreshProfiles

          boolean refreshProfiles()

    - #### getProvisioningAgent

          IProvisioningAgent getProvisioningAgent()

    - #### getMetadataRepositoryManager

          IMetadataRepositoryManager getMetadataRepositoryManager()

    - #### getArtifactRepositoryManager

          IArtifactRepositoryManager getArtifactRepositoryManager()

    - #### getProfileRegistry

          IProfileRegistry getProfileRegistry()

    - #### getEngine

          IEngine getEngine()

    - #### getPlanner

          IPlanner getPlanner()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html